### Hierarchy

- AstBuilder

## Index

### Constructors

- constructor

### Methods

- build

## Constructors

### constructor

- new AstBuilder(code: string): AstBuilder

- - Defined in parser/astBuilder.ts:113

  #### Parameters

  - ##### code: string

  #### Returns AstBuilder

## Methods

### build

- build(root: IASTGame<RULE_DIRECTION_WITH_RELATIVE, string, string, number | ".">): GameData

- - Defined in parser/astBuilder.ts:119

  #### Parameters

  - ##### root: IASTGame<RULE_DIRECTION_WITH_RELATIVE, string, string, number | ".">

  #### Returns GameData

Generated using TypeDoc